/* time.h
   Copyright 2000 Free Software Foundation, Inc.
   Written by Stephane Carrez (stcarrez@worldnet.fr)

This file is part of GEL.

GEL is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GEL is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GEL; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

#ifndef _SYS_TIME_H
#define _SYS_TIME_H

/**@name Time and timer operations.

 */
/*@{*/

struct timeval
{
  long tv_sec;
  long tv_usec;
};


/** Get the current time.
    Returns in the `tv' structure the current time.

    @param tv pointer to the timeval structure for the result
    @see timer_settime, timer_adjtime  */
extern void timer_gettime (struct timeval *tv);

extern void timer_settime (struct timeval* tv);


/*@}*/

#endif
